List logs
curl --request POST \
--url https://api.getcargo.io/v1/hosting/logs/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workerUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"levels": [],
"search": "<string>",
"occurredAfter": "<string>",
"occurredBefore": "<string>",
"limit": 250,
"offset": 4503599627370495
}
'import requests
url = "https://api.getcargo.io/v1/hosting/logs/list"
payload = {
"workerUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"levels": [],
"search": "<string>",
"occurredAfter": "<string>",
"occurredBefore": "<string>",
"limit": 250,
"offset": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workerUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
runUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
levels: [],
search: '<string>',
occurredAfter: '<string>',
occurredBefore: '<string>',
limit: 250,
offset: 4503599627370495
})
};
fetch('https://api.getcargo.io/v1/hosting/logs/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workerUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"occurredAt": "<string>"
}
]
}Hosting - Logs
List logs
List runtime logs for a hosted worker
POST
/
hosting
/
logs
/
list
List logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
Worker whose logs to list.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$When set, only logs for this run are returned.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Log levels to include.
Available options:
log, info, warn, error, debug Match against the log message.
Required string length:
1 - 512Include logs that occurred after this ISO timestamp.
Include logs that occurred before this ISO timestamp.
Maximum number of log lines to return.
Required range:
1 <= x <= 500Number of log lines to skip.
Required range:
0 <= x <= 9007199254740991Response
Successful response
Log lines matching the filters.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

